Config = Config or {}
Config.AutoRespawn = false --True == auto respawn cars that are outside into your garage on script restart, false == does not put them into your garage and players have to go to the impound
Config.SharedGarages = false   --True == Gang and job garages are shared, false == Gang and Job garages are personal
Config.VisuallyDamageCars = true --True == Visually damage cars that go out of the garage depending of body damage, false == Do not visually damage cars (damage is still applied to car values)
Config.SharedPublicGarages = false --Ture All public garages can access all vehicle of player that parked in garage type "public", -- False player can't access another public garages from anywhere (this is original behavior of script)

Config.Garages = {
    ["motelgarage"] = {
        ["label"] = "NYC KING Parking",
        ["takeVehicle"] =  vector3(-200.69, 1240.64, 11.02),
        ["spawnPoint"] =  vector4(-195.17, 1245.51, 9.82, 19.55),
        ["putVehicle"] =  vector3(-185.16, 1244.50, 9.83),
        ["showBlip"] = true,
        ["blipName"] = "Public Parking",
       ["blipNumber"] = 357,
        ["blipColor"] = 3,
        ["type"] = "public",                --public, job, gang, depot
        ["vehicle"] = "car"                 --car, air, sea, rig
    },
--    ["casinogarage"] = {
    --    ["label"] = "Casino Parking",
    --    ["takeVehicle"] = vector3(925.3, 51.85, 81.11),
    --    ["spawnPoint"] = vector4(918.77, 51.73, 80.16, 329.43),
    --    ["putVehicle"] = vector3(914.92, 37.85, 80.07),
    --    ["showBlip"] = true,
    --    ["blipName"] = "Public Parking",
    --    ["blipNumber"] = 357,
    --    ["blipColor"] = 3,
    --    ["type"] = "public",                --public, job, gang, depot
    --    ["vehicle"] = "car"                 --car, air, sea, rig
--    },
--    ["sapcounsel"] = {
    --    ["label"] = "San Andreas Parking",
    --    ["takeVehicle"] = vector3(-330.01, -780.33, 33.96),
    --    ["spawnPoint"] = vector4(-334.44, -780.75, 33.96, 137.5),
    --    ["putVehicle"] = vector3(-336.31, -774.93, 33.96),
    --    ["showBlip"] = true,
    --    ["blipName"] = "Public Parking",
    --    ["blipNumber"] = 357,
    --    ["blipColor"] = 3,
    --    ["type"] = "public",                --public, job, gang, depot
    --    ["vehicle"] = "car"                 --car, air, sea, rig
--    },
--    ["spanishave"] = {
    --    ["label"] = "Spanish Ave Parking",
    --    ["takeVehicle"] = vector3(-1160.86, -741.41, 19.63),
    --    ["spawnPoint"] = vector4(-1163.88, -749.32, 18.42, 35.5),
    --    ["putVehicle"] = vector3(-1147.58, -738.11, 19.31),
    --    ["showBlip"] = true,
    --    ["blipName"] = "Public Parking",
    --    ["blipNumber"] = 357,
    --    ["blipColor"] = 3,
    --    ["type"] = "public",                --public, job, gang, depot
    --    ["vehicle"] = "car"                 --car, air, sea, rig
--    },
--    ["caears24"] = {
    --    ["label"] = "Caears 24 Parking",
    --    ["takeVehicle"] = vector3(69.84, 12.6, 68.96),
    --    ["spawnPoint"] = vector4(73.21, 10.72, 68.83, 163.5),
    --    ["putVehicle"] = vector3(65.43, 21.19, 69.47),
    --    ["showBlip"] = true,
    --    ["blipName"] = "Public Parking",
    --    ["blipNumber"] = 357,
    --    ["blipColor"] = 3,
    --    ["type"] = "public",                --public, job, gang, depot
    --    ["vehicle"] = "car"                 --car, air, sea, rig
--    },
--    ["caears242"] = {
    --    ["label"] = "Caears 24 Parking",
    --    ["takeVehicle"] = vector3(-475.31, -818.73, 30.46),
    --    ["spawnPoint"] = vector4(-472.03, -815.47, 30.5, 177.5),
    --    ["putVehicle"] = vector3(-453.6, -817.08, 30.61),
    --    ["showBlip"] = true,
    --    ["blipName"] = "Public Parking",
    --    ["blipNumber"] = 357,
    --    ["blipColor"] = 3,
    --    ["type"] = "public",                --public, job, gang, depot
    --    ["vehicle"] = "car"                 --car, air, sea, rig
--    },
--    ["lagunapi"] = {
    --    ["label"] = "Laguna Parking",
    --    ["takeVehicle"] = vector3(364.37, 297.83, 103.49),
    --    ["spawnPoint"] = vector4(367.49, 297.71, 103.43, 340.5),
    --    ["putVehicle"] = vector3(363.04, 283.51, 103.38),
    --    ["showBlip"] = true,
    --    ["blipName"] = "Public Parking",
    --    ["blipNumber"] = 357,
    --    ["blipColor"] = 3,
    --    ["type"] = "public",                --public, job, gang, depot
    --    ["vehicle"] = "car"                 --car, air, sea, rig
--    },
--    ["airportp"] = {
    --    ["label"] = "Airport Parking",
    --    ["takeVehicle"] = vector3(-796.86, -2024.85, 8.88),
    --    ["spawnPoint"] = vector4(-800.41, -2016.53, 9.32, 48.5),
    --    ["putVehicle"] = vector3(-804.84, -2023.21, 9.16),
    --    ["showBlip"] = true,
    --    ["blipName"] = "Public Parking",
    --    ["blipNumber"] = 357,
    --    ["blipColor"] = 3,
    --    ["type"] = "public",                --public, job, gang, depot
    --    ["vehicle"] = "car"                 --car, air, sea, rig
--    },
--    ["beachp"] = {
    --    ["label"] = "Beach Parking",
    --    ["takeVehicle"] = vector3(-1183.1, -1511.11, 4.36),
    --    ["spawnPoint"] = vector4(-1181.0, -1505.98, 4.37, 214.5),
    --    ["putVehicle"] = vector3(-1176.81, -1498.63, 4.37),
    --    ["showBlip"] = true,
    --    ["blipName"] = "Public Parking",
    --    ["blipNumber"] = 357,
    --    ["blipColor"] = 3,
    --    ["type"] = "public",                --public, job, gang, depot
    --    ["vehicle"] = "car"                 --car, air, sea, rig
--    },
--    ["themotorhotel"] = {
    --    ["label"] = "The Motor Hotel Parking",
    --    ["takeVehicle"] = vector3(1137.77, 2663.54, 37.9),
    --    ["spawnPoint"] = vector4(1137.69, 2673.61, 37.9, 359.5),
    --    ["putVehicle"] = vector3(1137.75, 2652.95, 37.9),
    --    ["showBlip"] = true,
    --    ["blipName"] = "Public Parking",
    --    ["blipNumber"] = 357,
    --    ["blipColor"] = 3,
    --    ["type"] = "public",                --public, job, gang, depot
    --    ["vehicle"] = "car"                 --car, air, sea, rig
--    },
--    ["liqourparking"] = {
    --    ["label"] = "Liqour Parking",
    --    ["takeVehicle"] = vector3(934.95, 3606.59, 32.81),
    --    ["spawnPoint"] = vector4(941.57, 3619.99, 32.5, 141.5),
    --    ["putVehicle"] = vector3(939.37, 3612.25, 32.69),
    --    ["showBlip"] = true,
    --    ["blipName"] = "Public Parking",
    --    ["blipNumber"] = 357,
    --    ["blipColor"] = 3,
    --    ["type"] = "public",                --public, job, gang, depot
    --    ["vehicle"] = "car"                 --car, air, sea, rig
--    },
--    ["shoreparking"] = {
    --    ["label"] = "NYC Parking",
    --    ["takeVehicle"] =   vector3(-200.69, 1240.64, 11.02),
    --    ["spawnPoint"] =  vector4(-1306.19, 880.39, 23.36, 147.71),
    --    ["putVehicle"] =  vector3(-1313.71, 890.15, 23.36),
    --    ["showBlip"] = true,
    --    ["blipName"] = "Public Parking",
    --    ["blipNumber"] = 357,
    --    ["blipColor"] = 3,
    --    ["type"] = "public",                --public, job, gang, depot
    --    ["vehicle"] = "car"                 --car, air, sea, rig
--    },
    ["haanparking"] = {
        ["label"] = "NYC Farms Parking",
        ["takeVehicle"] =  vector3(618.13, 2050.11, 16.47),
        ["spawnPoint"] =  vector4(605.39, 2038.13, 16.31, 322.98),
        ["putVehicle"] =  vector3(602.51, 2045.26, 16.30),
        ["showBlip"] = true,
        ["blipName"] = "Public Parking",
        ["blipNumber"] = 357,
        ["blipColor"] = 3,
        ["type"] = "public",                --public, job, gang, depot
        ["vehicle"] = "car"                 --car, air, sea, rig
    },
    ["dumbogarage"] = {
        ["label"] = "NYC Private Parking",
        ["takeVehicle"] =   vector3(1573.60, -136.11, 12.56),
        ["spawnPoint"] =   vector4(1574.19, -129.41, 12.56, 74.27),
        ["putVehicle"] =   vector3(1574.15, -119.29, 12.56),
        ["showBlip"] = true,
        ["blipName"] = "Public Parking",
        ["blipNumber"] = 357,
        ["blipColor"] = 3,
        ["type"] = "public",                --public, job, gang, depot
        ["vehicle"] = "car"                 --car, air, sea, rig
    },
    ["pillboxgarage"] = {
        ["label"] = "NYC Pillbox Garage Parking",
        ["takeVehicle"] =  vector3(35.22, -91.54, 5.34),
        ["spawnPoint"] =  vector4(46.22, -102.56, 4.80, 14.74),
        ["putVehicle"] =  vector3(47.45, -85.35, 4.81),
        ["showBlip"] = true,
        ["blipName"] = "Public Parking",
        ["blipNumber"] = 357,
        ["blipColor"] = 3,
        ["type"] = "public",                --public, job, gang, depot
        ["vehicle"] = "car"                 --car, air, sea, rig
    },
    --[[    ["hayesdepot"] = {
        ["label"] = "Hayes Depot",
        ["takeVehicle"] = vector3(491.0, -1314.69, 29.25),
        ["spawnPoint"] = vector4(491.0, -1314.69, 29.25, 304.5),
        ["showBlip"] = true,
        ["blipName"] = "Hayes Depot",
        ["blipNumber"] = 68,
        ["blipColor"] = 3,
        ["type"] = "depot",                --public, job, gang, depot
        ["vehicle"] = "car"                 --car, air, sea, rig
    }, --]]
    ["NYC Depot"] = {
        ["label"] = "NYC Depot Lot",
        ["takeVehicle"] =   vector3(321.02, 1169.75, 14.67),
        ["spawnPoint"] =   vector4(331.09, 1177.57, 14.52, 201.49),
        ["showBlip"] = true,
        ["blipName"] = "Impound Lot",
        ["blipNumber"] = 68,
        ["blipColor"] = 3,
        ["type"] = "depot",                --public, job, gang, depot
        ["vehicle"] = "car"                 --car, air, sea, rig
    },
    ["ballas"] = {
        ["label"] = "Ballas",
        ["takeVehicle"] = vector3(98.50, -1954.49, 20.84),
        ["spawnPoint"] = vector4(98.50, -1954.49, 20.75, 335.73),
        ["putVehicle"] = vector3(94.75, -1959.93, 20.84),
        ["showBlip"] = false,
        ["blipName"] = "Ballas",
        ["blipNumber"] = 357,
        ["blipColor"] = 3,
        ["type"] = "gang",                --public, job, gang, depot
        ["vehicle"] = "car",              --car, air, sea, rig
        ["job"] = "ballas",
        ["jobType"] = "ballas"
    },
    ["families"] = {
        ["label"] = "La Familia",
        ["takeVehicle"] = vector3(-811.65, 187.49, 72.48),
        ["spawnPoint"] = vector4(-818.43, 184.97, 72.28, 107.85),
        ["putVehicle"] = vector3(-811.65, 187.49, 72.48),
        ["showBlip"] = false,
        ["blipName"] = "La Familia",
        ["blipNumber"] = 357,
        ["blipColor"] = 3,
        ["type"] = "gang",                --public, job, gang, depot
        ["vehicle"] = "car",              --car, air, sea, rig
        ["job"] = "families",
        ["jobType"] = "families"
    },
    ["lostmc"] = {
        ["label"] = "Lost MC",
        ["takeVehicle"] = vector3(957.25, -129.63, 74.39),
        ["spawnPoint"] = vector4(957.25, -129.63, 74.39, 199.21),
        ["putVehicle"] = vector3(950.47, -122.05, 74.36),
        ["showBlip"] = false,
        ["blipName"] = "Lost MC",
        ["blipNumber"] = 357,
        ["blipColor"] = 3,
        ["type"] = "gang",                --public, job, gang, depot
        ["vehicle"] = "car",              --car, air, sea, rig
        ["job"] = "lostmc",
        ["jobType"] = "lostmc"
    },
    ["cartel"] = {
        ["label"] = "Cartel",
        ["takeVehicle"] = vector3(1407.18, 1118.04, 114.84),
        ["spawnPoint"] =  vector4(-52.66, -104.58, 4.79, 215.08),
        ["putVehicle"] =  vector4(-48.93, -103.19, 4.79, 254.68),
        ["showBlip"] = false,
        ["blipName"] = "Cartel",
        ["blipNumber"] = 357,
        ["blipColor"] = 3,
        ["type"] = "gang",                --public, job, gang, depot
        ["vehicle"] = "car",              --car, air, sea, rig
        ["job"] = "cartel",
        ["jobType"] = "cartel"
    },
    ["police"] = {
        ["label"] = "Police",
        ["takeVehicle"] =    vector3(-55.79, -100.69, 4.94),
        ["spawnPoint"] =  vector4(-22.28, -90.81, 4.79, 210.56),
        ["putVehicle"] =   vector3(-45.31, -100.42, 4.79),
        ["showBlip"] = false,
        ["blipName"] = "Police",
        ["blipNumber"] = 357,
        ["blipColor"] = 3,
        ["type"] = "job",                --public, job, gang, depot
        ["vehicle"] = "car",              --car, air, sea, rig
        ["job"] = "police",
        ["jobType"] = "leo"
--    },
--    ["intairport"] = {
    --    ["label"] = "Airport Hangar",
    --    ["takeVehicle"] = vector3(-1025.92, -3017.86, 13.95),
    --    ["spawnPoint"] = vector4(-979.2, -2995.51, 13.95, 52.19),
    --    ["putVehicle"] = vector3(-1003.38, -3008.87, 13.95),
    --    ["showBlip"] = true,
    --    ["blipName"] = "Hangar",
    --    ["blipNumber"] = 360,
    --    ["blipColor"] = 3,
    --    ["type"] = "public",                --public, job, gang, depot
    --    ["vehicle"] = "air"                 --car, air, sea, rig
--    },
--    ["higginsheli"] = {
    --    ["label"] = "Higgins Helitours",
    --    ["takeVehicle"] = vector3(-722.15, -1472.79, 5.0),
    --    ["spawnPoint"] = vector4(-724.83, -1443.89, 5.0, 140.1),
    --    ["putVehicle"] = vector3(-745.48, -1468.46, 5.0),
    --    ["showBlip"] = true,
    --    ["blipName"] = "Hangar",
    --    ["blipNumber"] = 360,
    --    ["blipColor"] = 3,
    --    ["type"] = "public",                --public, job, gang, depot
    --    ["vehicle"] = "air"                 --car, air, sea, rig
--    },
--    ["airsshores"] = {
    --    ["label"] = "Sandy Shores Hangar",
    --    ["takeVehicle"] = vector3(1758.19, 3296.66, 41.14),
    --    ["spawnPoint"] = vector4(1740.98, 3279.08, 41.75, 106.77),
    --    ["putVehicle"] = vector3(1740.4, 3283.92, 41.1),
    --    ["showBlip"] = true,
    --    ["blipName"] = "Hangar",
    --    ["blipNumber"] = 360,
    --    ["blipColor"] = 3,
    --    ["type"] = "public",                --public, job, gang, depot
    --    ["vehicle"] = "air"                 --car, air, sea, rig
--    },
--    ["airdepot"] = {
    --    ["label"] = "Air Depot",
    --    ["takeVehicle"] = vector3(-1243.29, -3392.3, 13.94),
    --    ["spawnPoint"] = vector4(-1269.67, -3377.74, 13.94, 327.88),
    --    ["showBlip"] = true,
    --    ["blipName"] = "Air Depot",
    --    ["blipNumber"] = 359,
    --    ["blipColor"] = 3,
    --    ["type"] = "depot",                --public, job, gang, depot
    --    ["vehicle"] = "air"                 --car, air, sea, rig
--    },
--    ["lsymc"] = {
    --    ["label"] = "LSYMC Boathouse",
    --    ["takeVehicle"] = vector3(-794.66, -1510.83, 1.59),
    --    ["spawnPoint"] = vector4(-793.58, -1501.4, 0.12, 111.5),
    --    ["putVehicle"] = vector3(-793.58, -1501.4, 0.12),
    --    ["showBlip"] = true,
    --    ["blipName"] = "Boathouse",
    --    ["blipNumber"] = 356,
    --    ["blipColor"] = 3,
    --    ["type"] = "public",                --public, job, gang, depot
    --    ["vehicle"] = "sea"                 --car, air, sea, rig
--    },
--    ["paleto"] = {
    --    ["label"] = "Paleto Boathouse",
    --    ["takeVehicle"] = vector3(-277.46, 6637.2, 7.48),
    --    ["spawnPoint"] = vector4(-289.2, 6637.96, 1.01, 45.5),
    --    ["putVehicle"] = vector3(-289.2, 6637.96, 1.01),
    --    ["showBlip"] = true,
    --    ["blipName"] = "Boathouse",
    --    ["blipNumber"] = 356,
    --    ["blipColor"] = 3,
    --    ["type"] = "public",                --public, job, gang, depot
    --    ["vehicle"] = "sea"                 --car, air, sea, rig
    },
    ["nycboat"] = {
        ["label"] = "NYC Boathouse",
        ["takeVehicle"] =  vector3(-915.15, 2395.37, 2.83),
        ["spawnPoint"] =  vector4(-902.16, 2399.00, -0.95, 9.05),
        ["putVehicle"] =  vector3(-907.40, 2402.56, -0.19),
        ["showBlip"] = true,
        ["blipName"] = "NYC Boathouse",
        ["blipNumber"] = 356,
        ["blipColor"] = 3,
        ["type"] = "public",                --public, job, gang, depot
        ["vehicle"] = "sea"                 --car, air, sea, rig
    },
    ["nycseadepot"] = {
        ["label"] = "LSYMC Depot",
        ["takeVehicle"] =  vector3(-925.27, 2396.48, 2.80),
        ["spawnPoint"] =  vector4(-933.90, 2407.67, -0.62, 356.50),
        ["showBlip"] = true,
        ["blipName"] = "NYC boat Depot",
        ["blipNumber"] = 356,
        ["blipColor"] = 3,
        ["type"] = "depot",                --public, job, gang, depot
        ["vehicle"] = "sea"                 --car, air, sea, rig
    },
    ["millars"] = {
        ["label"] = "NYC Boathouse",
        ["takeVehicle"] =   vector3(-2622.84, 4908.63, 3.92),
        ["spawnPoint"] =   vector4(-2606.56, 4919.63, 0.02, 286.90),
        ["putVehicle"] =   vector3(-2599.18, 4928.25, 0.09),
        ["showBlip"] = true,
        ["blipName"] = "NYC Boathouse",
        ["blipNumber"] = 356,
        ["blipColor"] = 3,
        ["type"] = "public",                --public, job, gang, depot
        ["vehicle"] = "sea"                 --car, air, sea, 
    },
    ["seadepot"] = {
        ["label"] = "NYC BOAT ",
        ["takeVehicle"] =   vector3(-2705.96, 4895.77, 3.59),
        ["spawnPoint"] =   vector4(-2739.02, 4855.60, -0.10, 96.05),
        ["showBlip"] = true,
        ["blipName"] = "NYC boat Depot",
        ["blipNumber"] = 356,
        ["blipColor"] = 3,
        ["type"] = "depot",                --public, job, gang, depot
        ["vehicle"] = "sea"                 --car, air, sea, rig
    },
    ["pdboat"] = {
        ["label"] = "NYC Boathouse",
        ["takeVehicle"] =    vector3(-145.82, -163.42, 1.47),
        ["spawnPoint"] =    vector4(-144.32, -168.94, -0.11, 193.69),
        ["putVehicle"] =    vector3(-152.71, -188.77, -0.62),
        ["showBlip"] = true,
        ["blipName"] = "NYC Boathouse",
        ["blipNumber"] = 356,
        ["blipColor"] = 3,
        ["type"] = "public",                --public, job, gang, depot
        ["vehicle"] = "sea"                 --car, air, sea, 
    },
    ["pdseadepot"] = {
        ["label"] = "NYC BOAT ",
        ["takeVehicle"] =    vector3(-122.27, -175.52, 2.15),
        ["spawnPoint"] =    vector4(-131.72, -191.40, -0.82, 123.58),
        ["showBlip"] = true,
        ["blipName"] = "NYC pd boat Depot",
        ["blipNumber"] = 356,
        ["blipColor"] = 3,
        ["type"] = "depot",                --public, job, gang, depot
        ["vehicle"] = "sea"                 --car, air, sea, 
--    },
--    ["ronsrigparking2"] = {
    --    ["label"] = "Ron's Big Rig Parking",
    --    ["takeVehicle"] = vector3(2567.7, 463.03, 108.6),
    --    ["spawnPoint"] = vector4(2555.24, 446.92, 108.52, 314.79),
    --    ["putVehicle"] = vector3(2558.69, 425.04, 108.52),
    --    ["showBlip"] = true,
    --    ["blipName"] = "Big Rig Parking",
    --    ["blipNumber"] = 357,
    --    ["blipColor"] = 2,
    --    ["type"] = "public",                --public, job, gang, depot
    --    ["vehicle"] = "rig"                 --car, air, sea, rig
--    },
--    ["ronsrigparking3"] = {
    --    ["label"] = "Ron's Big Rig Parking",
    --    ["takeVehicle"] = vector3(-23.63, -2551.7, 6.14),
    --    ["spawnPoint"] = vector4(-32.81, -2536.0, 6.07, 53.26),
    --    ["putVehicle"] = vector3(-36.32, -2541.84, 6.07),
    --    ["showBlip"] = true,
    --    ["blipName"] = "Big Rig Parking",
    --    ["blipNumber"] = 357,
    --    ["blipColor"] = 2,
    --    ["type"] = "public",                --public, job, gang, depot
    --    ["vehicle"] = "rig"                 --car, air, sea, rig
    },
}
Config.HouseGarages = {}
